Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006615OCaml~DO NOT USE (was: OCaml general)public2014-10-16 14:002016-12-07 11:36
Reporterggole 
Assigned Togarrigue 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version4.03.0+dev / +beta1 
Summary0006615: 4.03: inconsistent printing and parsing of inline records
DescriptionThe syntax of inline records doesn't seem allow a trailing ; as in normal records, that produces a parse error. However, inline records are *printed* with exactly such a trailing ;.

In short:

    # type t = T of { f : float; };;
    Characters 27-28:
      type t = T of { f : float; };;
                 ^
    Error: Syntax error
    # type t = T of { f : float };;
    type t = T of { f : float; }

Hopefully the trailing ; will be allowed. It would be pretty surprising if the syntax were different to regular records.
Steps To ReproduceEnter

  type t = T of { f : float };;

into a 4.03 toplevel.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0012384)
garrigue (manager)
2014-10-17 03:49

Fixed in trunk at revision 15559

- Issue History
Date Modified Username Field Change
2014-10-16 14:00 ggole New Issue
2014-10-17 03:49 garrigue Note Added: 0012384
2014-10-17 03:49 garrigue Status new => resolved
2014-10-17 03:49 garrigue Fixed in Version => 4.03.0+dev / +beta1
2014-10-17 03:49 garrigue Resolution open => fixed
2014-10-17 03:49 garrigue Assigned To => garrigue
2016-12-07 11:36 xleroy Status resolved => closed
2017-02-23 16:36 doligez Category OCaml general => -OCaml general
2017-03-03 17:55 doligez Category -OCaml general => -(deprecated) general
2017-03-03 18:01 doligez Category -(deprecated) general => ~deprecated (was: OCaml general)
2017-03-06 17:04 doligez Category ~deprecated (was: OCaml general) => ~DO NOT USE (was: OCaml general)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker